using System;
using System.Collections.Generic;
using System.IO;
using System.Reflection;
using Weland;
using Gtk;

namespace VisualMode
{
	public class Plugin
	{
		public static bool Compatible()
		{
			return true;
		}

		public static string Name()
		{
			return "VISUAL MODE";
		}

		public static void GtkRun(Editor editor)
		{
			new VisualMode();
		}
	}

	class VisualMode : Window
	{

		public VisualMode() : base("VISUAL MODE")
		{
			SetDefaultSize(250, 200);
			SetPosition(WindowPosition.Center);

			HBox box = new HBox(false, 0);
			box.BorderWidth = 0;

			Gtk.Image image = new Gtk.Image(null, "VISUALMODE.png");

			box.PackStart(image, false, false, 3);

			image.Show();

			this.Add(box);
			this.ShowAll();

			Show();
		}
	}
}